# DarContact: Jim Evins <evins@snaught.com>

Summary: glabels is a GNOME program to create labels and business cards
Name: glabels
Version: 1.92.0
Release: 1.dag
License: GPL
Group: Applications/Publishing
URL: http://snaught.com/glabels/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://snaught.com/glabels/source/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: libxml2-devel >= 2.4, libgnomeui-devel >= 2.0
BuildRequires: gtk+-devel >= 1.2, libgnomecanvas-devel >= 2.0
#BuildRequires: libgnomeprint-devel >= 0.115

%description
gLabels is a lightweight program for creating labels and
business cards for the GNOME desktop environment.
It is designed to work with various laser/ink-jet peel-off
label and business card sheets that you'll find at most office
supply stores.

%prep
%setup

%{__cat} <<EOF >data/%{name}.desktop
[Desktop Entry]
Name=Glabels Label Designer
Comment=Create labels, business cards and media covers.
Icon=glabels/glabels-icon.png
Exec=%{name}
Terminal=false
Type=Application
Categories=GNOME;Application;Office;
EOF

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}

desktop-file-install --vendor gnome --delete-original \
	--add-category X-Red-Hat-Base                 \
	--dir %{buildroot}%{_datadir}/applications    \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc %{_datadir}/gnome/help/glabels/
%{_bindir}/*
%{_datadir}/glabels/
%{_datadir}/pixmaps/glabels/
%{_datadir}/applications/*.desktop

%changelog
#- Removed duplicate desktop entry. (Zdravko Nikolov)

* Mon Sep 22 2003 Dag Wieers <dag@wieers.com> - 1.92.0-1
- Added a proper desktop file.

* Thu Sep 04 2003 Dag Wieers <dag@wieers.com> - 1.92.0-0
- Updated to release 1.92.0.

* Mon Feb 24 2003 Dag Wieers <dag@wieers.com> - 1.91.1-0
- Updated to release 1.91.1.

* Wed Jan 01 2003 Dag Wieers <dag@wieers.com> - 1.91.0-0
- Updated to release 1.91.0.

* Mon Dec 30 2002 Dag Wieers <dag@wieers.com> - 1.90.0-0
- Updated to release 1.90.0.

* Sat Oct 05 2002 Dag Wieers <dag@wieers.com> - 0.4.4
- Made use of macros.

* Sat May 19 2001 Jim Evins <evins@snaught.com>
- Initial release.
